DeepGuard -> less secure

Greetings,

 

There is option in deepguard, to be in "compatible mode" which for some reasons means "less secure". Can you explain me why and how does it mean that?

Best Answer

  • etomcatetomcat Posts: 1,318 Superuser
    Accepted Answer

    Hello,

     

    F-Secure DeepGuard has the extra ability to modify monitored processes with the insertion of a tamper-proof mini DLL, so that it becomes easier to discover malicious activity in the system. This DLL trick, however, is not well received by various application programs that have their own self-protection mechanisms.

     

    Therefore DeepGuard "advanced" protection functionality is disabled in F-Secure suites by default and the user has to tick the checkbox if he/she wants the extra safety activated.

     

    Sincerely: Tamas Feher from Hungary.

     

    jackmadbrisendinepatet
This discussion has been closed.